[solved] Update Issue II

Hi,

After an update from core-8.5.80.19_0+180-Ubuntu_14.04-amd64.tar.gz to core-8.5.81.197_0+27-Ubuntu_14.04-amd64.tar.gz i get the following error
“WARNING: Database version (8,5,90,2153381888,66) is newer than the server version (8,5,81,0,67)”
The core-8.5.81.197_0+27-Ubuntu_14.04-amd64.tar.gz is the latest Paket from 3.2.2018

Any Ideas?

thx Sinux

Does not another have the problem? The server can not be started via force!

@sinux said in Update Issue II:

The server can not be started via force!

What did you try so far? You either could delete the offending entry from the versions table in the database, of pass --ignore-database-version-conflict to the kopano-server binary.

from man kopano-server:

   --ignore-database-version-conflict
       Ignore version information from the database. Kopano will normally not start the server if the database has a newer version than the kopano-server
       binary. This makes sure you cannot downgrade your server binary while keeping the same database. If you know what you're doing, you can use this
       option to bypass the start-up version check of the database.

Thank you fbartels,

i know https://forum.kopano.io/topic/733/solved-update-issue/4. I thought the problem was solved but apparently not. It must have a cause that sporadically the DB versions are declared as higher!

Hi @Sinux ,

you database version was indeed higher “8,5,90,…” is higher than “8,5,81,…” after all. Since you had 8.5.90 before you must have been using one of the earliest builds after branching 8.5. we lowered the version number the next day, but those builds were online for a day or so.

Whenever I want to use the community version productively something like that happens. If you then get a Warkouround on the DB level is not funny. Thank you anyway.

@Sinux, if you use nightly-builds productively, that’s not really wise.
As you may have experienced, problems like this will happen - accept it, or get a commercial build.
If you find an issue, report it, but refrain from blaming the devs - you might end up with somebody @ Kopano deciding to stop the community-editions.
Free Software does not mean, you have a natural right on impeccable ready meals.

mysql <kopano_db>
DELETE FROM versions WHERE CAST(CONCAT(major, minor, micro) AS INTEGER) >= 8590;

I would also add that Kopano is actually very very good at providing nightly BUILDS. They could simply just publish the source code and let you build it from scratch. They actually go through the effort of providing free nightly builds for a numerous amount of platforms.

In return the users (I am a community user too) have the moral obligation (at least that’s the way I see it) to provide feedback and help to move the product forward. Part of it is also to find bugs that occasionally may occur as the software moves forward.

I really can’t see anything wrong with this and, instead, I am extremely supportive and grateful to Kopano for the current solution.

@umgfoin
Thank you and I hope you accept my opinion. I love Zarafa/Kopano since 2012!

And we did not even have a 8.5.90 yet… odd.

@fbartels said in Update Issue II:

we lowered the version number the next day, but those builds were online for a day or so.

We did? Where?

@jengelh said in Update Issue II:

@fbartels said in Update Issue II:

we lowered the version number the next day, but those builds were online for a day or so.

We did? Where?

fbartels is probably the right person for this question.
You should know him.
closed